Bug 737396 - [abrt] eekboard-1.0.3-1.fc16: g_type_check_instance: Process /usr/bin/eekboard-server was killed by signal 11 (SIGSEGV)
Summary: [abrt] eekboard-1.0.3-1.fc16: g_type_check_instance: Process /usr/bin/eekboar...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eekboard
Version: 16
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daiki Ueno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1da7d05687865af7dc14442c89b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-11 20:50 UTC by Rūdolfs Mazurs
Modified: 2011-09-30 18:47 UTC (History)
3 users (show)

Fixed In Version: eekboard-1.0.3-4.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-26 23:26:08 UTC


Attachments (Terms of Use)
File: maps (20.73 KB, text/plain)
2011-09-11 20:50 UTC, Rūdolfs Mazurs
no flags Details

Description Rūdolfs Mazurs 2011-09-11 20:50:00 UTC
abrt version: 2.0.5
backtrace_rating: 4
cmdline:        /usr/bin/eekboard-server
comment:        In settings, changed keyboard layout to "lv".
crash_function: g_type_check_instance
executable:     /usr/bin/eekboard-server
kernel:         3.0.0-1.fc16.i686
reason:         Process /usr/bin/eekboard-server was killed by signal 11 (SIGSEGV)
time:           Sun Sep 11 22:53:43 2011
uid:            1000
username:       rudolfs
xsession_errors: 

maps:           Text file, 21223 bytes

backtrace:
:[New LWP 2995]
:[New LWP 2997]
:[New LWP 2996]
:[Thread debugging using libthread_db enabled]
:Using host libthread_db library "/lib/libthread_db.so.1".
:Core was generated by `/usr/bin/eekboard-server'.
:Program terminated with signal 11, Segmentation fault.
:#0  g_type_check_instance (type_instance=0x821d000) at gtype.c:4059
:4059	gtype.c: No such file or directory.
:	in gtype.c
:
:Thread 3 (Thread 0xb7586b40 (LWP 2996)):
:#0  0x00828416 in __kernel_vsyscall ()
:No symbol table info available.
:#1  0x03b04bb0 in __GI___poll (fds=0xb6c00cc0, nfds=3, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
:        resultvar = <optimized out>
:        oldtype = -516
:        result = <optimized out>
:#2  0x0039c80c in g_poll (fds=0xb6c00cc0, nfds=3, timeout=-1) at gpoll.c:132
:No locals.
:#3  0x0038dc06 in g_main_context_poll (n_fds=3, fds=0xb6c00cc0, priority=<optimized out>, timeout=<optimized out>, context=0x81df818) at gmain.c:3402
:        poll_func = 0x39c7e0 <g_poll>
:#4  g_main_context_iterate (context=0x81df818, block=3786720, dispatch=1, self=0x81df8a8) at gmain.c:3084
:        max_priority = 2147483647
:        timeout = -1
:        some_ready = <optimized out>
:        nfds = 3
:        allocated_nfds = <optimized out>
:        fds = <optimized out>
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#5  0x0038e337 in g_main_loop_run (loop=0x81e0998) at gmain.c:3297
:        self = 0x81df8a8
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#6  0x0056071b in gdbus_shared_thread_func (user_data=0x81df800) at gdbusprivate.c:276
:        data = 0x81df800
:#7  0x003b5125 in g_thread_create_proxy (data=0x81df8a8) at gthread.c:1962
:        thread = 0x81df8a8
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#8  0x00151c8e in start_thread (arg=0xb7586b40) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0xb7586b40
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1454068, 0, 4001536, -1218944280, -690255172, 1277637074}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = <optimized out>
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:        __PRETTY_FUNCTION__ = "start_thread"
:#9  0x03b0f4ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
:No locals.
:
:Thread 2 (Thread 0xb6bffb40 (LWP 2997)):
:#0  0x00828416 in __kernel_vsyscall ()
:No symbol table info available.
:#1  0x03b04bb0 in __GI___poll (fds=0xb6200cc0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
:        resultvar = <optimized out>
:        oldtype = -516
:        result = <optimized out>
:#2  0x0039c80c in g_poll (fds=0xb6200cc0, nfds=1, timeout=-1) at gpoll.c:132
:No locals.
:#3  0x0038dc06 in g_main_context_poll (n_fds=1, fds=0xb6200cc0, priority=<optimized out>, timeout=<optimized out>, context=0x81e66f0) at gmain.c:3402
:        poll_func = 0x39c7e0 <g_poll>
:#4  g_main_context_iterate (context=0x81e66f0, block=3786720, dispatch=1, self=0x81e6780) at gmain.c:3084
:        max_priority = 2147483647
:        timeout = -1
:        some_ready = <optimized out>
:        nfds = 1
:        allocated_nfds = <optimized out>
:        fds = <optimized out>
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#5  0x0038e337 in g_main_loop_run (loop=0xb6200cb0) at gmain.c:3297
:        self = 0x81e6780
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#6  0x00783485 in dconf_context_thread (data=0x81e66f0) at dconfcontext.c:11
:        context = 0x81e66f0
:        loop = <optimized out>
:        __PRETTY_FUNCTION__ = "dconf_context_thread"
:#7  0x003b5125 in g_thread_create_proxy (data=0x81e6780) at gthread.c:1962
:        thread = 0x81e6780
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#8  0x00151c8e in start_thread (arg=0xb6bffb40) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0xb6bffb40
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1454068, 0, 4001536, -1228934424, 435915455, 1277637074}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = <optimized out>
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:        __PRETTY_FUNCTION__ = "start_thread"
:#9  0x03b0f4ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
:No locals.
:
:Thread 1 (Thread 0xb77c6840 (LWP 2995)):
:#0  g_type_check_instance (type_instance=0x821d000) at gtype.c:4059
:        node = <optimized out>
:#1  0x008cfa20 in g_signal_emit_by_name (instance=0x821d000, detailed_signal=0xbbdefe "released") at gsignal.c:3085
:        _g_boolean_var_ = <optimized out>
:        detail = 0
:        signal_id = 136228968
:        __PRETTY_FUNCTION__ = "g_signal_emit_by_name"
:#2  0x00bbd6bd in eek_gtk_keyboard_real_button_release_event (self=0x81eb000, event=0x81df070) at ./eek-gtk-keyboard.c:236
:        priv = 0x81eb068
:        head = 0x8204830
:#3  0x00d31d8a in _gtk_marshal_BOOLEAN__BOXED (closure=0x8123218, return_value=0xbfd62564, n_param_values=2, param_values=0x82edc28, invocation_hint=0xbfd62550, marshal_data=0xbbd660) at gtkmarshalers.c:85
:        callback = 0xbbd660 <eek_gtk_keyboard_real_button_release_event>
:        cc = 0x8123218
:        data1 = 0x81eb000
:        data2 = 0x811eb50
:        v_return = <optimized out>
:        __PRETTY_FUNCTION__ = "_gtk_marshal_BOOLEAN__BOXED"
:#4  0x008b109e in g_type_class_meta_marshal (closure=0x8123218, return_value=0xbfd62564, n_param_values=2, param_values=0x82edc28, invocation_hint=0xbfd62550, marshal_data=0xc4) at gclosure.c:885
:        class = <optimized out>
:        callback = <optimized out>
:        offset = 196
:#5  0x008b26a5 in g_closure_invoke (closure=0x8123218, return_value=0xbfd62564, n_param_values=2, param_values=0x82edc28, invocation_hint=0xbfd62550) at gclosure.c:774
:        marshal = 0x8b1040 <g_type_class_meta_marshal>
:        marshal_data = 0xc4
:        in_marshal = 0
:        __PRETTY_FUNCTION__ = "g_closure_invoke"
:#6  0x008c69f8 in signal_emit_unlocked_R (node=0x8122b18, detail=0, instance=0x81eb000, emission_return=0xbfd6269c, instance_and_params=0x82edc28) at gsignal.c:3310
:        accumulator = 0x81233b0
:        emission = {next = 0x0, instance = 0x81eb000, ihint = {signal_id = 29, detail = 0, run_type = G_SIGNAL_RUN_LAST}, state = EMISSION_RUN, chain_type = 136293376}
:        class_closure = 0x8123218
:        hlist = 0x37b204
:        handler_list = 0x0
:        return_accu = 0xbfd62564
:        accu = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
:        signal_id = 29
:        max_sequential_handler_number = 493
:        return_value_altered = 0
:#7  0x008cf718 in g_signal_emit_valist (instance=0x81eb000, signal_id=29, detail=0, var_args=0xbfd62700 ",'\326\277p\360\035\b") at gsignal.c:3013
:        return_value = {g_type = 20, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
:        error = 0x0
:        rtype = 20
:        static_scope = 0
:        instance_and_params = 0x82edc28
:        signal_return_type = 20
:        param_values = 0x82edc3c
:        node = <optimized out>
:        i = <optimized out>
:        n_params = 1
:        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
:#8  0x008cf9d4 in g_signal_emit (instance=0x81eb000, signal_id=29, detail=0) at gsignal.c:3060
:        var_args = 0xbfd626fc "p\360\035\b,'\326\277p\360\035\b"
:#9  0x00e9aa93 in gtk_widget_event_internal (widget=0x81eb000, event=0x81df070) at gtkwidget.c:6131
:        signal_num = <optimized out>
:        return_val = 0
:#10 0x00d31482 in gtk_propagate_event (widget=0x81eb000, event=0x81df070) at gtkmain.c:2614
:        tmp = <optimized out>
:        handled_event = <optimized out>
:        __PRETTY_FUNCTION__ = "gtk_propagate_event"
:#11 0x00d31908 in gtk_main_do_event (event=0x81df070) at gtkmain.c:1889
:        event_widget = <optimized out>
:        grab_widget = 0x81eb000
:        window_group = 0x8208548
:        rewritten_event = <optimized out>
:        device = <optimized out>
:        tmp_list = <optimized out>
:        __PRETTY_FUNCTION__ = "gtk_main_do_event"
:#12 0x001ff86d in _gdk_event_emit (event=0x81df070) at gdkevents.c:71
:No locals.
:#13 0x0022caa9 in gdk_event_source_dispatch (source=0x8144728, callback=0, user_data=0x0) at gdkeventsource.c:360
:        display = <optimized out>
:        event = 0x81df070
:#14 0x0038d5bf in g_main_dispatch (context=0x8146280) at gmain.c:2441
:        dispatch = 0x22ca70 <gdk_event_source_dispatch>
:        was_in_call = 0
:        user_data = 0x0
:        callback = 0
:        cb_funcs = 0x0
:        cb_data = 0x0
:        current_source_link = {data = 0x8144728, next = 0x0}
:        need_destroy = <optimized out>
:        source = 0x8144728
:        current = 0x81e0088
:        i = <optimized out>
:#15 g_main_context_dispatch (context=0x8146280) at gmain.c:3011
:No locals.
:#16 0x0038dd00 in g_main_context_iterate (context=0x8146280, block=3786720, dispatch=1, self=0x8116740) at gmain.c:3089
:        max_priority = 2147483647
:        timeout = 999
:        some_ready = 1
:        nfds = <optimized out>
:        allocated_nfds = <optimized out>
:        fds = <optimized out>
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#17 0x0038e337 in g_main_loop_run (loop=0x81e20b0) at gmain.c:3297
:        self = 0x8116740
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#18 0x08049aee in main (argc=1, argv=0xbfd62a34) at server-main.c:157
:        service = 0x81d7d40
:        bus_type = G_BUS_TYPE_SESSION
:        connection = 0x81db840
:        error = 0x0
:        loop = 0x81e20b0
:        owner_id = <optimized out>
:From        To          Syms Read   Shared Object Library
:                        No          linux-gate.so.1
:0x0048cf00  0x00492188  Yes         /usr/lib/libeekboard.so.0
:0x001df260  0x001e0438  Yes         /usr/lib/libeek-xkl.so.0
:0x0018d1e0  0x001a2468  Yes         /usr/lib/libeek.so.0
:0x00bbc780  0x00bbde98  Yes         /usr/lib/libeek-gtk.so.0
:0x00ba1760  0x00ba3718  Yes         /usr/lib/libeek-xkb.so.0
:0x4f5cd230  0x4f5ef60c  Yes         /usr/lib/libcroco-0.6.so.3
:0x00c12390  0x00f12b38  Yes         /usr/lib/libgtk-3.so.0
:0x0032f670  0x0033cf58  Yes         /usr/lib/libatk-1.0.so.0
:0x004b7ee0  0x0058b628  Yes         /lib/libgio-2.0.so.0
:0x4d7f7500  0x4d814e28  Yes         /usr/lib/libpangoft2-1.0.so.0
:0x4d661570  0x4d6ce2c8  Yes         /usr/lib/libfreetype.so.6
:0x4d628010  0x4d64363c  Yes         /usr/lib/libfontconfig.so.1
:0x001f5280  0x002453e8  Yes         /usr/lib/libgdk-3.so.0
:0x4d899690  0x4d89ee38  Yes         /usr/lib/libpangocairo-1.0.so.0
:0x00b40990  0x00b56868  Yes         /usr/lib/libgdk_pixbuf-2.0.so.0
:0x4d5a0740  0x4d5bd458  Yes         /usr/lib/libpng12.so.0
:0x001134b0  0x0012eb98  Yes         /lib/libm.so.6
:0x4dffca90  0x4dffdca8  Yes         /usr/lib/libcairo-gobject.so.2
:0x4d83b210  0x4d85d8a8  Yes         /usr/lib/libpango-1.0.so.0
:0x006b7bf0  0x006b8d78  Yes         /lib/libgmodule-2.0.so.0
:0x4d8ad190  0x4d934ca8  Yes         /usr/lib/libcairo.so.2
:0x4d41e4b0  0x4d42b69c  Yes         /usr/lib/libxklavier.so.16
:0x008ad2b0  0x008e18e8  Yes         /lib/libgobject-2.0.so.0
:0x0013bf50  0x0013d7a8  Yes         /lib/libgthread-2.0.so.0
:0x00142940  0x00146ba8  Yes         /lib/librt.so.1
:0x0035d0a0  0x003fc608  Yes         /lib/libglib-2.0.so.0
:0x4d97ac80  0x4da65bec  Yes         /usr/lib/libxml2.so.2
:0x4d476310  0x4d506fbc  Yes         /usr/lib/libX11.so.6
:0x0014f640  0x0015b6a8  Yes         /lib/libpthread.so.0
:0x03a36de0  0x03b6b5e0  Yes         /lib/libc.so.6
:0x4d88aed0  0x4d88d64c  Yes         /usr/lib/libXfixes.so.3
:0x4d249020  0x4d24c678  Yes         /usr/lib/libffi.so.5
:0x00166a60  0x00167a88  Yes         /lib/libdl.so.2
:0x4d20c670  0x4d21996c  Yes         /lib/libz.so.1
:0x4d0c8670  0x4d0da128  Yes         /lib/libselinux.so.1
:0x001b8670  0x001c88f8  Yes         /lib/libresolv.so.2
:0x4d5cb040  0x4d5e4c7c  Yes         /lib/libexpat.so.1
:0x4d5f56b0  0x4d60000c  Yes         /usr/lib/libXext.so.6
:0x4d82c780  0x4d82d24c  Yes         /usr/lib/libXinerama.so.1
:0x4d6077a0  0x4d6119c8  Yes         /usr/lib/libXi.so.6
:0x4d823150  0x4d827ccc  Yes         /usr/lib/libXrandr.so.2
:0x4d87fe70  0x4d88535c  Yes         /usr/lib/libXcursor.so.1
:0x4d891880  0x4d89240c  Yes         /usr/lib/libXcomposite.so.1
:0x4d7467c0  0x4d7471fc  Yes         /usr/lib/libXdamage.so.1
:0x00a44850  0x00a5dbaf  Yes         /lib/ld-linux.so.2
:0x4d771450  0x4d7de088  Yes         /usr/lib/libpixman-1.so.0
:0x4d619300  0x4d61f4fc  Yes         /usr/lib/libXrender.so.1
:0x4d3f3f80  0x4d40e2bc  Yes         /usr/lib/libxkbfile.so.1
:0x4d448ec0  0x4d45873c  Yes         /usr/lib/libxcb.so.1
:0x0061cf30  0x00633c48  Yes         /lib/libgcc_s.so.1
:0x4d43da00  0x4d43e88c  Yes         /usr/lib/libXau.so.6
:0x00ae1a10  0x00ae9148  Yes         /lib/libnss_files.so.2
:0x0026d500  0x002895e8  Yes         /usr/lib/gio/modules/libgvfsdbus.so
:0x00299bc0  0x002a5198  Yes         /usr/lib/libgvfscommon.so.0
:0x002ad8d0  0x002cdce8  Yes         /usr/lib/libbluray.so.0
:0x002dd6a0  0x0030cf28  Yes         /lib/libdbus-1.so.3
:0x0016d4f0  0x00176e48  Yes         /lib/libudev.so.0
:0x0017ca20  0x0017d428  Yes         /lib/libutil.so.1
:0x001d2280  0x001d4ea8  Yes         /usr/lib/gtk-3.0/3.0.0/theming-engines/libadwaita.so
:0x0063d7f0  0x00665fd8  Yes         /usr/lib/librsvg-2.so.2
:0x001d8830  0x001d8cd8  Yes         /usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so
:0x00323700  0x003258b8  Yes         /usr/lib/gtk-3.0/modules/libcanberra-gtk-module.so
:0x4ec7e530  0x4ec7fb18  Yes         /usr/lib/libcanberra-gtk3.so.0
:0x4ec6b410  0x4ec754f8  Yes         /usr/lib/libcanberra.so.0
:0x4e9bb720  0x4e9c0afc  Yes         /usr/lib/libvorbisfile.so.3
:0x4e83c770  0x4e852c5c  Yes         /usr/lib/libvorbis.so.0
:0x4e798320  0x4e79b06c  Yes         /usr/lib/libogg.so.0
:0x4e9a79b0  0x4e9b23ac  Yes         /usr/lib/libtdb.so.1
:0x4e91aa40  0x4e91f528  Yes         /usr/lib/libltdl.so.7
:0x005e58e0  0x005ea9f8  Yes         /lib/libcrypt.so.1
:0x4e039950  0x4e06c558  Yes         /lib/libfreebl3.so
:0x00780e40  0x00784a98  Yes         /usr/lib/gio/modules/libdconfsettings.so
:$1 = 0x0
:$2 = 0x0
:eax            0x8	8
:ecx            0xbbdefe	12312318
:edx            0x821d000	136433664
:ebx            0x8f4ff4	9392116
:esp            0xbfd62300	0xbfd62300
:ebp            0xbbdefe	0xbbdefe
:esi            0x81eb068	136228968
:edi            0x8204830	136333360
:eip            0x8d9762	0x8d9762 <g_type_check_instance+34>
:eflags         0x10202	[ IF RF ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:Dump of assembler code for function g_type_check_instance:
:   0x008d9740 <+0>:	push   %ebx
:   0x008d9741 <+1>:	call   0x8ad6f9 <__i686.get_pc_thunk.bx>
:   0x008d9746 <+6>:	add    $0x1b8ae,%ebx
:   0x008d974c <+12>:	lea    -0x18(%esp),%esp
:   0x008d9750 <+16>:	mov    0x20(%esp),%eax
:   0x008d9754 <+20>:	test   %eax,%eax
:   0x008d9756 <+22>:	je     0x8d97d0 <g_type_check_instance+144>
:   0x008d9758 <+24>:	mov    (%eax),%eax
:   0x008d975a <+26>:	test   %eax,%eax
:   0x008d975c <+28>:	je     0x8d97f8 <g_type_check_instance+184>
:=> 0x008d9762 <+34>:	mov    (%eax),%edx
:   0x008d9764 <+36>:	mov    %edx,%ecx
:   0x008d9766 <+38>:	and    $0xfffffffc,%ecx
:   0x008d9769 <+41>:	cmp    $0x3fc,%edx
:   0x008d976f <+47>:	jbe    0x8d9788 <g_type_check_instance+72>
:   0x008d9771 <+49>:	test   %ecx,%ecx
:   0x008d9773 <+51>:	je     0x8d9798 <g_type_check_instance+88>
:   0x008d9775 <+53>:	testb  $0x4,0xe(%ecx)
:   0x008d9779 <+57>:	mov    $0x1,%eax
:   0x008d977e <+62>:	je     0x8d9798 <g_type_check_instance+88>
:   0x008d9780 <+64>:	lea    0x18(%esp),%esp
:   0x008d9784 <+68>:	pop    %ebx
:   0x008d9785 <+69>:	ret    
:   0x008d9786 <+70>:	xchg   %ax,%ax
:   0x008d9788 <+72>:	mov    %edx,%eax
:   0x008d978a <+74>:	shr    $0x2,%eax
:   0x008d978d <+77>:	mov    0x4cc(%ebx,%eax,4),%ecx
:   0x008d9794 <+84>:	jmp    0x8d9771 <g_type_check_instance+49>
:   0x008d9796 <+86>:	xchg   %ax,%ax
:   0x008d9798 <+88>:	mov    %edx,%eax
:   0x008d979a <+90>:	call   0x8d1530 <type_descriptive_name_I>
:   0x008d979f <+95>:	mov    %eax,0xc(%esp)
:   0x008d97a3 <+99>:	movl   $0x10,0x4(%esp)
:   0x008d97ab <+107>:	lea    -0xd1ec(%ebx),%eax
:   0x008d97b1 <+113>:	mov    %eax,0x8(%esp)
:   0x008d97b5 <+117>:	lea    -0x13670(%ebx),%eax
:   0x008d97bb <+123>:	mov    %eax,(%esp)
:   0x008d97be <+126>:	call   0x8ad0a0 <g_log@plt>
:   0x008d97c3 <+131>:	lea    0x18(%esp),%esp
:   0x008d97c7 <+135>:	xor    %eax,%eax
:   0x008d97c9 <+137>:	pop    %ebx
:   0x008d97ca <+138>:	ret    
:   0x008d97cb <+139>:	nop
:   0x008d97cc <+140>:	lea    0x0(%esi,%eiz,1),%esi
:   0x008d97d0 <+144>:	lea    -0xd18c(%ebx),%eax
:   0x008d97d6 <+150>:	mov    %eax,0x8(%esp)
:   0x008d97da <+154>:	movl   $0x10,0x4(%esp)
:   0x008d97e2 <+162>:	lea    -0x13670(%ebx),%eax
:   0x008d97e8 <+168>:	mov    %eax,(%esp)
:   0x008d97eb <+171>:	call   0x8ad0a0 <g_log@plt>
:   0x008d97f0 <+176>:	lea    0x18(%esp),%esp
:   0x008d97f4 <+180>:	xor    %eax,%eax
:   0x008d97f6 <+182>:	pop    %ebx
:   0x008d97f7 <+183>:	ret    
:   0x008d97f8 <+184>:	lea    -0xd1b8(%ebx),%eax
:   0x008d97fe <+190>:	jmp    0x8d97d6 <g_type_check_instance+150>
:End of assembler dump.

build_ids:
:c78ac6ec853089817aa1660d4e89785f64fe0a83
:7d5f053141ef92931a09d921b01a75ede88405a9
:3586b896aa58837cea4178aeda21a94f5d11cd5b
:e3194278eeac29411764cc8ba21782f28226b283
:b51d82e58cf1d3dab20e44b114cfcf7ee1f31c74
:c9bedc7ec229b2a2e2ec1b6a6581b415c98bc4c1
:837a15613e1d889e0768489b29367674187cc683
:e071e1fb04fc42b0a6e51750285216f375fb4092
:8403f33f0be1a3653acd05b560f87aa1363d02d7
:d94f52f020f5a21d89ce70745a9bfb78cee38ba4
:527b6d0e7221d5552542b3a77a58979db0b68bf1
:9bcba78c059d6fff759b410adf3e5131cdc19e69
:97845cb2720bca8939ad32f1cab67f27a2c1921f
:758cfa5dcdfdd709e6be8d1357fdfb07002674b3
:b2d5c5f02b6e6eb34dc593699c0b0bf516280159
:647951954dab9eadcf521b97c5f9d7566b1e79c8
:e62147b319d069cd17edf02876fed836eaff846c
:88eb1cabfe143e1a4f2a7ed8614c540945c22b78
:fb5857630898b86982a33a2148c700026700dd01
:42859023e4ec83a16446984b1e0c7510a38731c4
:e86c829bf8553d6b593dbd8c4df0957268dc8328
:770c0a14d7d2ac2c0d9c4c4cd8c63226dc71a2df
:b5268eb17a8c99a3c7f8f108a268c8db8be7d393
:798697a352bae4178953ba502fb04f33dd0ed987
:9f93eda78d83aaad492eee23c1ebd170c2011ea7
:1f60ce3a43a5e6db2df2252da25ac0aa9f90b6b9
:f03cad2bee2994406caaaf695b68ba1ca873d7b1
:889bd5d3aa3bc793771db683d98f9b9c319d5404
:0dcf3b2e357f3ffe15e7f16f55a81e0bd79cf826
:8690ca2a062cbd18429894c9c5ea51dbcee6fce5
:201277b3c1068aa5937d12a69000b468fc4a5b69
:e45479a1587e77569cf5a7f8ca6353586f1d657f
:33e0b3eb4f3da711e96b7fd0cfba0739ea6aa7fd
:9302a2fb44a54d6e76103cfd53321e592b84259a
:e153523f32f26fe43c9fb271a49b2f25de388803
:7523f9012d700a579c80e83f54445e7bfceb4eca
:9f178cc2f8fcb3288468e557853e972350b0055d
:25dc1387a7575b22e9bcee48ce501b52f0029d77
:1085921f5537fbbb1b10388c74f7e082e9173532
:aa9a4df5fa16320332ea125a458d7c569194d323
:b4f8b453c124f1bcf32ee8273b7e7f149202ff68
:8ee52cc9ee5aa155cef2475d96b2f6415515e123
:f292ec833a19bc1a5744714b4d954ca0b76b536d
:4d302bd37729e5a3ea3dda3456ae017cd5c4cf85
:15bab279752ad8e30f901abae77bcb1ed1f38977
:c318ce4de0f6787d8a6cbd5e1130c60bacb399e4
:6400f8b1506a2b01270ddb7fa0d07487fc7dbaa6
:cfccd9d5cd4fac888ea881d4d47992c55b6e22be
:f6c1714df1f2fa17f87561bd42e29b0b95d7750b
:82a635558d592248aac5c79e39b23409c9906cc0
:23d1086014ed5544b3df4cee1f95694032252322
:e012145a98558b7d015f3ccf3cacfac44b498980
:a0b366e13cecd6a811ac0afa3481d443b583aa4c
:faa844e460702359079f4f15f1f881e87777abb6
:adca4c604227da51f7a095c00f343e39dda76d54
:9d43b289eddb5530be1bec3cd139f2e3ee5e2c19
:bdbcb7ad0ae16806e9002af3c6d1ec65353108a0
:6ad77e91d5cc02288d676787c163373f4fefe8fa
:92a9033bbedc303317346dc414914fec5643bd7b
:8e07599dbaf2a2c7389bade18d17dae81ba4c2e9
:72a02b98c203bd5dd2320422858d02f820655c12
:7f5c165bbebf0f58223bd66413612dfe0b100d8c
:4ae55c9126e7316479c90318c0fa390dc5db470f
:1f99af6bc1d28c4e48e6c65042a10f422c8dcdb5
:d901210c1e549a645a3a6e781ccc9025e18bd845
:872fe6020efffe0829a231da5dd4e51f41a4dce3
:c5507277b56dcabfeecc3ca97df159b73d8b27c8
:28b8cc9cda751c67558ec59cc16019154ebf56ae
:6fafe0bd893c856407ee09fba7ecfb366459a3d4
:1ecbaf5c5ac1f22012c83df335687b3c09ae5289
:4a478751a510f61dff8600e2325b384582bdd5e0
:3359879cfb4a5914d00c8449bb5d085bac9a3d07
:4b045111479e1ec97d0ef5668482bf808e8dadba
:55433495aa80cf9e1f994ea7e7ae278422ef1ede

dso_list:
:/usr/lib/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc16.i686 (Fedora Project) 1313534147
:/usr/lib/gio/modules/libgvfsdbus.so gvfs-1.9.5-1.fc16.i686 (Fedora Project) 1315768133
:/usr/lib/gdk-pixbuf-2.0/2.10.0/loaders/libpixbufloader-svg.so librsvg2-2.34.1-1.fc16.i686 (Fedora Project) 1315598643
:/lib/libudev.so.0.12.0 libudev-173-3.fc16.i686 (Fedora Project) 1315598635
:/usr/lib/gtk-3.0/modules/libcanberra-gtk3-module.so libcanberra-gtk3-0.28-3.fc16.i686 (Fedora Project) 1313534220
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc16.noarch (Fedora Project) 1313534173
:/usr/lib/libXext.so.6.4.0 libXext-1.2.0-2.fc15.i686 (Fedora Project) 1313534150
:/usr/lib/libpangocairo-1.0.so.0.2903.0 pango-1.29.3-2.fc16.i686 (Fedora Project) 1314389663
:/usr/lib/libgdk_pixbuf-2.0.so.0.2400.0 gdk-pixbuf2-2.24.0-1.fc16.i686 (Fedora Project) 1315598616
:/usr/lib/librsvg-2.so.2.34.1 librsvg2-2.34.1-1.fc16.i686 (Fedora Project) 1315598643
:/lib/librt-2.14.90.so glibc-2.14.90-8.i686 (Fedora Project) 1315598593
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.1.90-1.fc16.noarch (Fedora Project) 1315598498
:/usr/lib/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.i686 (Fedora Project) 1313534151
:/usr/lib/gio/modules/libdconfsettings.so dconf-0.9.0-1.fc16.i686 (Fedora Project) 1313534204
:/usr/lib/locale/locale-archive glibc-common-2.14.90-8.i686 (Fedora Project) 1315598604
:/usr/lib/libcairo-gobject.so.2.11000.2 cairo-gobject-1.10.2-4.fc16.i686 (Fedora Project) 1313534171
:/usr/lib/libxml2.so.2.7.8 libxml2-2.7.8-6.fc16.i686 (Fedora Project) 1313534148
:/usr/lib/libXfixes.so.3.1.0 libXfixes-5.0-1.fc16.i686 (Fedora Project) 1313534150
:/usr/bin/eekboard-server eekboard-1.0.3-1.fc16.i686 (Fedora Project) 1315598661
:/usr/share/fonts/dejavu/DejaVuSerif.ttf dejavu-serif-fonts-2.33-1.fc16.noarch (Fedora Project) 1313534250
:/usr/lib/libtdb.so.1.2.9 libtdb-1.2.9-10.fc16.i686 (Fedora Project) 1313534150
:/usr/lib/libeek-xkl.so.0.0.0 eekboard-libs-1.0.3-1.fc16.i686 (Fedora Project) 1315598659
:/lib/libpthread-2.14.90.so glibc-2.14.90-8.i686 (Fedora Project) 1315598593
:/usr/lib/libgdk-3.so.0.118.0 gtk3-3.1.18-1.fc16.i686 (Fedora Project) 1315768130
:/usr/share/locale/lv/LC_MESSAGES/gtk30.mo gtk3-3.1.18-1.fc16.i686 (Fedora Project) 1315768130
:/usr/lib/libltdl.so.7.3.0 libtool-ltdl-2.4-6.fc16.i686 (Fedora Project) 1313534150
:/usr/lib/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.i686 (Fedora Project) 1313534150
:/lib/libselinux.so.1 libselinux-2.1.4-2.fc16.i686 (Fedora Project) 1314389682
:/usr/share/locale/lv/LC_MESSAGES/gdk-pixbuf.mo gdk-pixbuf2-2.24.0-1.fc16.i686 (Fedora Project) 1315598616
:/lib/libdl-2.14.90.so glibc-2.14.90-8.i686 (Fedora Project) 1315598593
:/lib/libgcc_s-4.6.1-20110908.so.1 libgcc-4.6.1-9.fc16.i686 (Fedora Project) 1315768132
:/usr/lib/libeek-gtk.so.0.0.0 eekboard-libs-1.0.3-1.fc16.i686 (Fedora Project) 1315598659
:/usr/lib/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.i686 (Fedora Project) 1313534148
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.6-1.fc16.noarch (Fedora Project) 1313534162
:/usr/lib/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.i686 (Fedora Project) 1313534150
:/lib/libc-2.14.90.so glibc-2.14.90-8.i686 (Fedora Project) 1315598593
:/lib/libm-2.14.90.so glibc-2.14.90-8.i686 (Fedora Project) 1315598593
:/usr/lib/libxcb.so.1.1.0 libxcb-1.7-3.fc16.i686 (Fedora Project) 1313534150
:/usr/lib/libpixman-1.so.0.22.2 pixman-0.22.2-1.fc16.i686 (Fedora Project) 1313534150
:/usr/lib/libxklavier.so.16.1.0 libxklavier-5.1-1.fc15.i686 (Fedora Project) 1313534155
:/usr/lib/libfontconfig.so.1.4.4 fontconfig-2.8.0-4.fc16.i686 (Fedora Project) 1313534170
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-2.fc15.i686 (Fedora Project) 1313534150
:/lib/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-3.fc16.i686 (Fedora Project) 1314389660
:/usr/lib/libeek-xkb.so.0.0.0 eekboard-libs-1.0.3-1.fc16.i686 (Fedora Project) 1315598659
:/lib/libutil-2.14.90.so glibc-2.14.90-8.i686 (Fedora Project) 1315598593
:/usr/lib/libXi.so.6.1.0 libXi-1.4.3-2.fc16.i686 (Fedora Project) 1314389702
:/lib/libgio-2.0.so.0.2990.0 glib2-2.29.90-1.fc16.i686 (Fedora Project) 1315768126
:/lib/libz.so.1.2.5 zlib-1.2.5-4.fc16.i686 (Fedora Project) 1313534147
:/lib/libnss_files-2.14.90.so glibc-2.14.90-8.i686 (Fedora Project) 1315598593
:/lib/libcrypt-2.14.90.so glibc-2.14.90-8.i686 (Fedora Project) 1315598593
:/usr/lib/libgvfscommon.so.0.0.0 gvfs-1.9.5-1.fc16.i686 (Fedora Project) 1315768133
:/usr/lib/libcroco-0.6.so.3.0.1 libcroco-0.6.2-6.fc15.i686 (Fedora Project) 1313534158
:/lib/libresolv-2.14.90.so glibc-2.14.90-8.i686 (Fedora Project) 1315598593
:/usr/lib/libxkbfile.so.1.0.2 libxkbfile-1.0.7-2.fc15.i686 (Fedora Project) 1313534155
:/usr/lib/gtk-3.0/3.0.0/theming-engines/libadwaita.so adwaita-gtk3-theme-3.1.91-1.fc16.i686 (Fedora Project) 1315768155
:/usr/share/locale/lv/LC_MESSAGES/glib20.mo glib2-2.29.90-1.fc16.i686 (Fedora Project) 1315768126
:/usr/lib/libatk-1.0.so.0.20200.1 atk-2.1.91-1.fc16.i686 (Fedora Project) 1315768128
:/usr/lib/libfreetype.so.6.7.1 freetype-2.4.6-1.fc16.i686 (Fedora Project) 1314389661
:/usr/lib/libbluray.so.0.0.0 libbluray-0.2-0.5.20110710git51d7d60a96d06.fc16.i686 (Fedora Project) 1315598627
:/usr/lib/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.i686 (Fedora Project) 1313534150
:/usr/lib/gconv/gconv-modules.cache glibc-2.14.90-8.i686 (Fedora Project) 1315598593
:/usr/lib/libeekboard.so.0.0.0 eekboard-libs-1.0.3-1.fc16.i686 (Fedora Project) 1315598659
:/lib/libgmodule-2.0.so.0.2990.0 glib2-2.29.90-1.fc16.i686 (Fedora Project) 1315768126
:/usr/lib/libffi.so.5.0.10 libffi-3.0.10-1.fc16.i686 (Fedora Project) 1314389666
:/lib/libgthread-2.0.so.0.2990.0 glib2-2.29.90-1.fc16.i686 (Fedora Project) 1315768126
:/usr/lib/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.i686 (Fedora Project) 1313534151
:/lib/libfreebl3.so nss-softokn-freebl-3.12.10-4.fc16.i686 (Fedora Project) 1313534139
:/lib/libglib-2.0.so.0.2990.0 glib2-2.29.90-1.fc16.i686 (Fedora Project) 1315768126
:/usr/lib/libX11.so.6.3.0 libX11-1.4.3-1.fc16.i686 (Fedora Project) 1313534150
:/usr/lib/libcanberra.so.0.2.5 libcanberra-0.28-3.fc16.i686 (Fedora Project) 1313534202
:/usr/lib/libgtk-3.so.0.118.0 gtk3-3.1.18-1.fc16.i686 (Fedora Project) 1315768130
:/usr/lib/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.i686 (Fedora Project) 1313534150
:/usr/share/locale/lv/LC_MESSAGES/atk10.mo atk-2.1.91-1.fc16.i686 (Fedora Project) 1315768128
:/usr/share/fonts/dejavu/DejaVuSans.ttf dejavu-sans-fonts-2.33-1.fc16.noarch (Fedora Project) 1313534263
:/usr/lib/libpangoft2-1.0.so.0.2903.0 pango-1.29.3-2.fc16.i686 (Fedora Project) 1314389663
:/lib/libgobject-2.0.so.0.2990.0 glib2-2.29.90-1.fc16.i686 (Fedora Project) 1315768126
:/usr/lib/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.i686 (Fedora Project) 1313534150
:/lib/libexpat.so.1.5.2 expat-2.0.1-11.fc15.i686 (Fedora Project) 1313534150
:/usr/lib/libpango-1.0.so.0.2903.0 pango-1.29.3-2.fc16.i686 (Fedora Project) 1314389663
:/usr/lib/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.i686 (Fedora Project) 1313534150
:/usr/lib/libcairo.so.2.11000.2 cairo-1.10.2-4.fc16.i686 (Fedora Project) 1313534171
:/lib/ld-2.14.90.so glibc-2.14.90-8.i686 (Fedora Project) 1315598593
:/usr/lib/libeek.so.0.0.0 eekboard-libs-1.0.3-1.fc16.i686 (Fedora Project) 1315598659
:/usr/lib/libcanberra-gtk3.so.0.1.8 libcanberra-gtk3-0.28-3.fc16.i686 (Fedora Project) 1313534220

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-GGwQ5FYXIK,guid=8a0016254a88e541dac7b137000002a2
:XDG_SESSION_COOKIE=8fcc3a9ce2aa253e91a0806700000018-1315769147.538219-490296357
:XDG_RUNTIME_DIR=/run/user/rudolfs
:DISPLAY=:0
:DESKTOP_SESSION=gnome
:LC_MEASUREMENT=lv_LV.utf8
:SSH_AUTH_SOCK=/tmp/keyring-2hX19x/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2261,unix/unix:/tmp/.ICE-unix/2261
:LC_MONETARY=lv_LV.utf8
:LC_NUMERIC=lv_LV.utf8
:LC_TIME=lv_LV.utf8
:WINDOWPATH=2
:PATH=/usr/local/bin:/usr/bin:/bin
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:GDMSESSION=gnome
:XDG_VTNR=2
:USERNAME=rudolfs
:XDG_SESSION_ID=6
:GPG_AGENT_INFO=/tmp/keyring-2hX19x/gpg:0:1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-GGwQ5FYXIK,guid=8a0016254a88e541dac7b137000002a2
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/gdm/auth-for-rudolfs-W2Hmoe/database
:USER=rudolfs
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=2257
:SHLVL=1
:GDM_LANG=lv_LV.utf8
:PWD=/home/rudolfs
:GNOME_KEYRING_CONTROL=/tmp/keyring-2hX19x
:LANG=lv_LV.utf8
:_=/usr/bin/dbus-launch
:LOGNAME=rudolfs
:HOME=/home/rudolfs

smolt_data:
:
:
:General
:=================================
:UUID: 30b2652a-9e98-4a14-8c44-6a7014c80116
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: lv_LV.utf8
:Platform: i686
:BogoMIPS: 3590.89
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T7100  @ 1.80GHz
:CPU Stepping: 13
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 1801
:System Memory: 2486
:System Swap: 951
:Vendor: LENOVO
:System: 889855G ThinkPad T61
:Form factor: Notebook
:Kernel: 3.0.0-1.fc16.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10752:6058:8371) pci, agpgart-intel, HOST/PCI, T61
:(32902:10302:6058:8361) pci, i801_smbus, SERIAL, ThinkPad T61
:(32902:10280:6058:8360) pci, ata_piix, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA IDE Controller
:(32902:10257:6058:8374) pci, None, PCI/ISA, T61
:(32902:4169:6058:8377) pci, e1000e, ETHERNET, ThinkPad T61
:(32902:10307:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:9288:6058:8366) pci, None, PCI/PCI, ThinkPad T61
:(32902:10309:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:10289:6058:8362) pci, uhci_hcd, USB, ThinkPad T61
:(32902:10288:6058:8362) pci, uhci_hcd, USB, ThinkPad T61
:(32902:10290:6058:8362) pci, uhci_hcd, USB, ThinkPad T61
:(32902:10294:6058:8363) pci, ehci_hcd, USB, ThinkPad T61
:(32902:10298:6058:8363) pci, ehci_hcd, USB, ThinkPad T61
:(32902:16935:32902:4113) pci, iwl3945, NETWORK, ThinkPad R60e/X60s
:(32902:10754:6058:8373) pci, i915, VIDEO, T61
:(32902:10755:6058:8373) pci, None, VIDEO, T61
:(32902:10303:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:10305:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:10311:6058:8365) pci, pcieport, PCI/PCI, ThinkPad T61
:(32902:10315:6058:8364) pci, HDA Intel, MULTIMEDIA, ThinkPad T61
:(32902:10292:6058:8362) pci, uhci_hcd, USB, ThinkPad T61
:(32902:10293:6058:8362) pci, uhci_hcd, USB, ThinkPad T60
:(4480:1142:6058:8388) pci, yenta_cardbus, PCI/CARDBUS, ThinkPad T61
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda4 / ext4 4096 4096 2276704 1367155 1344030 581632 460527 460527
:/dev/sda2 /boot ext4 1024 1024 495844 417004 391404 128016 127787 127787
:

var_log_messages:
:Sep 11 22:53:43 steps kernel: [ 2350.208580] eekboard-server[2995]: segfault at 8 ip 008d9762 sp bfd62300 error 4 in libgobject-2.0.so.0.2990.0[8a6000+4e000]
:Sep 11 22:53:44 steps abrt[3080]: saved core dump of pid 2995 (/usr/bin/eekboard-server) to /var/spool/abrt/ccpp-2011-09-11-22:53:43-2995.new/coredump (20795392 bytes)

Comment 1 Rūdolfs Mazurs 2011-09-11 20:50:08 UTC
Created attachment 522625 [details]
File: maps

Comment 2 Daiki Ueno 2011-09-12 02:10:22 UTC
Thanks for the report.  Though I'm still not able to reproduce it, the following patch should fix the problem:

https://github.com/ueno/eekboard/commit/f72e9f52

Will update the package soon.

Comment 3 Fedora Update System 2011-09-12 02:58:36 UTC
eekboard-1.0.3-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/eekboard-1.0.3-2.fc16

Comment 4 Fedora Update System 2011-09-12 02:58:44 UTC
eekboard-1.0.3-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/eekboard-1.0.3-2.fc15

Comment 5 Fedora Update System 2011-09-12 09:19:56 UTC
eekboard-1.0.3-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/eekboard-1.0.3-4.fc16

Comment 6 Fedora Update System 2011-09-12 09:20:02 UTC
eekboard-1.0.3-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/eekboard-1.0.3-4.fc16

Comment 7 Fedora Update System 2011-09-12 09:25:59 UTC
eekboard-1.0.3-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/eekboard-1.0.3-4.fc15

Comment 8 Fedora Update System 2011-09-12 09:26:03 UTC
eekboard-1.0.3-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/eekboard-1.0.3-4.fc15

Comment 9 Fedora Update System 2011-09-13 00:08:42 UTC
Package eekboard-1.0.3-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing eekboard-1.0.3-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/eekboard-1.0.3-4.fc16
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2011-09-26 23:25:55 UTC
eekboard-1.0.3-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-09-30 18:46:57 UTC
eekboard-1.0.3-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.